## org.codehaus.groovy.jsr223
Class GroovyScriptEngineImpl

    java.lang.Object
      javax.script.AbstractScriptEngine
          org.codehaus.groovy.jsr223.GroovyScriptEngineImpl

All Implemented Interfaces:
  javax.script.Compilable, javax.script.Invocable, javax.script.ScriptEngine

    public class GroovyScriptEngineImpl

extends javax.script.AbstractScriptEngine
implements javax.script.Compilable, javax.script.Invocable

Field Summary

Fields inherited from class javax.script.AbstractScriptEngine
`context`

Fields inherited from interface javax.script.ScriptEngine
`ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

Constructor Summary
`GroovyScriptEngineImpl()`

Method Summary
`javax.script.CompiledScript` `compile(Reader reader)`
`javax.script.CompiledScript` `compile(String scriptSource)`
`javax.script.Bindings` `createBindings()`
`Object` `eval(Reader reader, javax.script.ScriptContext ctx)`
`Object` `eval(String script, javax.script.ScriptContext ctx)`
`javax.script.ScriptEngineFactory` `getFactory()`

`

`<T> T`

`

`getInterface(Class<T> clasz)`

`

`<T> T`

`

`getInterface(Object thiz, Class<T> clasz)`

`Object` `invokeFunction(String name, Object... args)`
`Object` `invokeMethod(Object thiz, String name, Object... args)`

Methods inherited from class javax.script.AbstractScriptEngine
`eval, eval, eval, eval, get, getBindings, getContext, getScriptContext, put, setBindings, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyScriptEngineImpl

    public GroovyScriptEngineImpl()

Method Detail

### eval

    public Object eval(Reader reader,
                       javax.script.ScriptContext ctx)
                throws javax.script.ScriptException

  Specified by:
    `eval` in interface `javax.script.ScriptEngine`
  Throws:
    `javax.script.ScriptException`

### eval

    public Object eval(String script,
                       javax.script.ScriptContext ctx)
                throws javax.script.ScriptException

  Specified by:
    `eval` in interface `javax.script.ScriptEngine`
  Throws:
    `javax.script.ScriptException`

### createBindings

    public javax.script.Bindings createBindings()

  Specified by:
    `createBindings` in interface `javax.script.ScriptEngine`

### getFactory

    public javax.script.ScriptEngineFactory getFactory()

  Specified by:
    `getFactory` in interface `javax.script.ScriptEngine`

### compile

    public javax.script.CompiledScript compile(String scriptSource)
                                        throws javax.script.ScriptException

  Specified by:
    `compile` in interface `javax.script.Compilable`
  Throws:
    `javax.script.ScriptException`

### compile

    public javax.script.CompiledScript compile(Reader reader)
                                        throws javax.script.ScriptException

  Specified by:
    `compile` in interface `javax.script.Compilable`
  Throws:
    `javax.script.ScriptException`

### invokeFunction

    public Object invokeFunction(String name,
                                 Object... args)
                          throws javax.script.ScriptException,
                                 NoSuchMethodException

  Specified by:
    `invokeFunction` in interface `javax.script.Invocable`
  Throws:
    `javax.script.ScriptException`
    `NoSuchMethodException`

### invokeMethod

    public Object invokeMethod(Object thiz,
                               String name,
                               Object... args)
                        throws javax.script.ScriptException,
                               NoSuchMethodException

  Specified by:
    `invokeMethod` in interface `javax.script.Invocable`
  Throws:
    `javax.script.ScriptException`
    `NoSuchMethodException`

### getInterface

    public <T> T getInterface(Class<T> clasz)

  Specified by:
    `getInterface` in interface `javax.script.Invocable`

### getInterface

    public <T> T getInterface(Object thiz,
                              Class<T> clasz)

  Specified by:
    `getInterface` in interface `javax.script.Invocable`

Copyright © 2003-2009 The Codehaus. All rights reserved.